/*
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */

import { setupServer } from 'msw/node';
import mediaLinkHandlers from './media-link/handlers';
import adoptersHandlers from './adopters/handlers';
import projectsHandlers from './projects/handlers';

export const server = setupServer(
    ...mediaLinkHandlers,
    ...adoptersHandlers,
    ...projectsHandlers
);